/**
 * Game Fonts
 */
@font-face {
	font-family: "Whimsy TT";
	font-style: normal;
	font-weight: normal;
	src: local("Whimsy TT"), url("../fonts/whimsytt.ttf") format("truetype");
}



/**
 * Main Styles
 */
html, body {
	margin: 0;
	padding: 0;
	border: 0;
	width: 100%;
	height: 100%;
	overflow: hidden;
	background-color: transparent;    
    backface-visibility: hidden;
}
html, body, input {
	font-family: "Whimsy TT";
	font-size: 12px;
	line-height: 1.5em;
	color: white;
}

h1 {
	font-size: 6em;
	font-weight: normal;
	text-align: center;
}
h2 {
    font-size: 4.5em;
    text-align: center;
}

a {
	color: rgb(204, 204, 204);
	text-decoration: none;
	font-size: 2em;
	line-height: 1.5em;
    transition: all 0.2s;
	outline: none;
}
	a:hover {
		color: white;
		font-size: 2.5em;
		line-height: 1.2em;
	}


#container {
	position: absolute;
	/* top: 50%; */
	/* bottom: 50%; */
	/* left: 50%; */
	/* right: 50%; */
	/* margin-top: -18.5em; */
    /* margin-left: -16em; */
	width: 30em;
	height: 35em;
	box-shadow: inset 0 0 0 999px rgb(0, 0, 0);
	border: 1em solid rgba(0, 0, 0, 0.4);
}



/**
 * Game Design
 */
.board,
.screen,
.game {
	position: absolute;
	top: 1em;
	left: 1em;
}



/**
 * Show / Hide
 */
.mainScreen .main,
.gameOver   .input,
.highScores .high,
.help       .controls { 
	display: block;
}

.display {
	display: none;
	position: absolute;
	top: 0;
	left: 0;
	right: 0;
	bottom: 0;
}



/**
 * MainScreen Design
 */
.main ul {
    text-align: center;
    padding: 0;
    margin-top: 21em;
}
.main li {
    list-style: none;
}



/**
 * High Scores Design
 */
.high {
    text-align: center;
}
.scores {
    text-align: center;
    font-size: 1.7em;
}
    .scores .titles,
    .scores .scores,
    .help   .titles,
    .help   .scores {
        float: left;
        clear: both;
        width: 100%;
    }
    .scores .titles {
        margin-bottom: 0.3em;
        color: rgb(255, 255, 51);
    }
    
    .scores .left,
    .scores .right,
    .help   .left,
    .help   .right {
        float: left;
        width: 40%;
        margin-bottom: 0.3em;
    }
    .scores .left,   .help .left   { text-align: right; }
    .scores .right,  .help .right  { text-align:  left; }
    .scores .middle, .help .middle {
        float: left;
        width: 20%;
        text-align: center;
        margin-bottom: 0.3em;
    }

.none {
    font-size: 2em;
    margin: 5em 0 0 0;
    color: rgb(255, 255, 51);
}

.restore, .back {
    position: absolute;
    bottom: 0.8em;
}
    .restore { left:  0.8em; }
    .back    { right: 0.8em; }



/**
 * Game Over Design
 */
.input {
    text-align: center;
}
.input p {
    font-size: 2em;
    color: rgb(255, 255, 51);
    margin-top: 4em;
}
.input input {
    background-color: transparent;
    border-color: rgb(0, 51, 255);
    border-radius: 0.6em;
    padding: 0.5em;
    font-size: 1.5em;
    margin-right: 0.5em;
}
.restart {
    display: block;
    margin-top: 2em;
}



/**
 * Controls Design
 */
.controls ol {
    box-sizing: border-box;
    width: 95%;
    margin: 0 auto;
    font-size: 2em;
    line-height: 0.9em;
    color: rgb(255, 255, 51);
}
.controls ol li {
    margin-bottom: 0.7em;
}
.controls ol li span {
    color: white;
    font-size: 0.7em;
}

.controls a {
    float: right;
    margin-right: 5%;
}



/**
 * Audio Button
 */
.audio {
    position: absolute;
    bottom: 2em;
    left: 12em;
    width: 4em;
    height: 2.2em;
    cursor: pointer;
}
.audio:hover {
    transform: scale(1.2);
    transition: all 0.2s;
}

.audio .triangle {
    position: absolute;
    bottom: 0.2em;
    left: 0.2em;
    border: 1em solid transparent;
    border-right-color: rgb(204, 204, 204);
}
    .audio:hover .triangle { border-right-color: white; }

.audio .box {
    position: absolute;
    bottom: 0.9em;
    left: 1.1em;
    height: 0.6em;
    width: 0.5em;
    background-color: rgb(204, 204, 204);
}
    .audio:hover .box { background-color: white; }

.waves {
    position: absolute;
    bottom: 0;
    left: 2em;
}
    .waves div {
        position: absolute;
        left: 0;
        background-color: rgb(204, 204, 204);
        border-radius: 0 20em 20em 0;
    }
    .waves div:nth-child(1) {
        bottom: 0.3em;
        width:  1.8em;
        height: 1.8em;
    }
    .waves div:nth-child(2) {
        bottom: 0.5em;
        width:  1.4em;
        height: 1.4em;
    }
    .waves div:nth-child(3) {
        bottom: 0.7em;
        width:  1em;
        height: 1em;
    }
    .waves div:nth-child(4) {
        bottom: 0.9em;
        width:  0.6em;
        height: 0.6em;
    }
    
    .audio:hover .waves div { 
        background-color: white;
    }
    .waves div:before {
        content: "";
        position: absolute;
        left: 0;
        bottom: 0;
        right: 0.1em;
        top: 0;
        background-color: black;
        border-radius: 0 20em 20em 0;
    }